{-------------------------------------------------------------}
{
{    Webvox - Mdulo de mensagens
{
{    Autor: Jose' Antonio Borges
{
{    Em 14/05/98
{
{-------------------------------------------------------------}

unit webMsg;

interface

uses dvcrt, dvWin, dvWav,
    windows, sysUtils,
     WebVars;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);
procedure prepSonsTags (nomeAmb: string);
procedure somTag (tag: string);
procedure falaTamanhoArq (tam: longint);

const
    TXTTITULO = '*** Ttulo da Pgina: ';
    TXTFIMTITULO = ' ***';
    TXTFRAMES = 'Partes divisrias desta pgina (frames)';
    TXTTRANSCRITA = 'Transcrita em ';
    TXREFERENCIAS = 'Referncias desta pgina';
    MAPACLICAVEL = 'Mapa clicvel';
    FIGCLICAVEL = 'Figura clicvel';
    TXTSUBMIT = 'Boto Enviar';
    TXTRESET = 'Boto Limpar';
    TXTSELECT = 'Selecionar opo';
    TXTSELECMULT = 'Selecionar mltiplos';
    TXTMETAACESSO = 'Acesso alternativo a esta pgina';
    TXTPORCENTO = ' por cento lido';

    TXTTEXT = 'Campo de entrada';
    TXTPASSWORD = 'Campo de senha';
    TXTRADIO = 'Boto de rdio';
    TXTLIGADO = ' - Marcado';
    TXTDESLIGADO = ' - Desmarcado';
    TXTCHECKBOX = 'Boto de escolha';

    TXTNENHUMA = 'Nenhuma';

    TXTFIMPAG = '*** Fim da Pgina ***';

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'WBINIC' then
        s := 'WEBVOX - NCE/UFRJ - v.'
    else
    if nomeArq = 'WBCONTAC' then
        s := 'Contactando...  '
    else
    if nomeArq = 'WBERRCOM' then
        s := 'No consegui ativar o sistema de comunicaes do micro'
    else
    if nomeArq = 'WBNAOCON' then
        s := 'No consegui realizar a conexao'
    else
    if nomeArq = 'WBPAGNAO' then
        s := 'Pgina no achada'
    else
    if nomeArq = 'WBCONOK' then
        s := 'Conexo realizada'
    else
    if nomeArq = 'WBCNFFIM' then
        s := 'Confirma fim (s/n): '
    else
    if nomeArq ='WBERRDSK' then
        s := 'Problemas para gravar texto no disco'
    else
    if nomeArq ='WBRECINT' then
        s := 'Recepo interrompida'
    else
    if nomeArq = 'WBNAOPAG' then
        s := 'Pgina no foi trazida'
    else
    if nomeArq = 'WBMSGSRV' then
        s := 'Mensagem do servidor'
    else
    if nomeArq ='WBINFARQ' then
        s := 'Informe o nome do arquivo a carregar'
    else
    if nomeArq ='WBARQNAO' then
        s := 'Este arquivo no existe'
    else
    if nomeArq ='WBOK' then
        s := 'OK'
    else
    if nomeArq ='WBTRAAPA' then
        s := 'Arquivo de trabalho foi apagado'
    else
    if nomeArq ='WBAJU101' then
        s := 'Tecle um nome no formato usual da web, por exemplo:'
    else
    if nomeArq ='WBAJU102' then
        s := 'http://www.nomedaempresa.com.br'
    else
    if nomeArq ='WBAJU103' then
        s := 'Para acessar a pgina do DOSVOX tecle'
    else
    if nomeArq ='WBAJU104' then
        s := 'http://caec.nce.ufrj.br'
    else
    if nomeArq ='WBCOMCAN' then
        s := 'Comunicao cancelada'
    else
    if nomeArq ='WBPAGTRA' then
        s := 'Informe o nome da pgina a trazer (? ajuda)'
    else
    if nomeArq ='WBSEMPAG' then
        s := 'No tenho pgina na memria'
    else
    if nomeArq ='WBPAGINC' then
        s := 'Nome de pgina incompatvel com este programa'
    else
    if nomeArq ='WBSOHTTP' then
        s := 'Este programa s aceita pginas HTTP ou FTP'
    else
    if nomeArq ='WBNAOCAR' then
        s := 'No existe pgina carregada'
    else
    if nomeArq ='WBPAGALT' then
        s := 'Buscando pgina alternativa'
    else
    if nomeArq ='WBARQTXT' then
        s := 'Arquivando pagina em formato texto'
    else
    if nomeArq ='WBNOMGRV' then
        s := 'Qual o nome do arquivo a gravar ? '
    else
    if nomeArq = 'WBEDINOM' then
        s := 'Editore o nome, tecle ENTER para confirmar ou ESC para cancelar: '
    else
    if nomeArq ='WBREGRAV' then
        s := 'Arquivo existente.  Opes: limpar, adicionar ou desistir ? '
    else
    if nomeArq ='WBERRTXT' then
        s := 'Erro ao gravar o arquivo texto'
    else
    if nomeArq ='WBARQHTM' then
        s := 'Arquivando pagina no formato original'
    else
    if nomeArq ='WBERRGRD' then
        s := 'Problemas para gravar arquivo no disco'
    else
    if nomeArq ='WBCOPTRU' then
        s := 'No coube na rea de transferncia, foi truncado'
    else
    if nomeArq ='WBBLKCPY' then
        s := 'Bloco copiado'
    else
    if nomeArq ='WBFIM' then
        s := 'Acesso  WEB terminado'
    else
    if nomeArq ='WBQUALOP' then
        s := 'Qual sua opo ? '
    else
    if nomeArq ='WBOPERR' then
        s := 'Opo invlida, aperte F1 para ajuda'
    else
    if nomeArq ='WBNAOLEV' then
        s := 'Erro ao executar o programa leitor'
    else
    if nomeArq ='WBQUEREF' then
        s := 'Deseja referncias listadas no texto ? '
    else
    if nomeArq ='WBFIMLEI' then
        s := 'Escolha: S - Sair, V - voltar para pagina anterior'
    else
    if nomeArq = 'WBAJU01' then
        s := 'As opes so:'
    else
    if nomeArq = 'WBAJU02' then
        s := '  T    trazer pgina da rede'
    else
    if nomeArq = 'WBAJU03' then
        s := '  L    ler pgina'
    else
    if nomeArq = 'WBAJU04' then
        s := '  V    voltar  ltima pgina lida'
    else
    if nomeArq = 'WBAJU05' then
        s := '  S    pginas selecionadas'
    else
    if nomeArq = 'WBAJU06' then
        s := '  A    trazer a pgina de um arquivo local'
    else
    if nomeArq = 'WBAJU07' then
        s := '  G    gravar pgina em texto'
    else
    if nomeArq = 'WBAJU08' then
        s := '  O    gravar no formato original'
    else
    if nomeArq = 'WBAJU09a' then
        s := '  X    exportar texto da pgina para rea de transferncia'
    else
    if nomeArq = 'WBAJU10' then
        s := '  C    configurar o programa'
    else
    if nomeArq = 'WBAJU11' then
        s := '  I    falar em outra lngua'
    else
    if nomeArq = 'WBAJU12' then
        s := '  N    trazer pgina sem ler'
    else
    if nomeArq = 'WBAJU13' then
        s := '  R    recarregar esta pgina'
    else
    if nomeArq = 'WBAJU14' then
        s := '  P    guardar pgina preferida'
    else
    if nomeArq = 'WBAJU15' then
        s := '  E    enviar pgina por email'
    else
    if nomeArq = 'WBAJU16' then
        s := '  B    carregar pginas do buscador'
    else
    if nomeArq = 'WBAJU19' then
        s := '  ESC  terminar o programa'
    else
    if nomeArq ='WBINITXT' then
        s := 'Voltei ao incio do texto'
    else
    if nomeArq ='WBFIMTXT' then
        s := 'Fui para o fim do texto'
    else
    if nomeArq ='WVAJUN1' then
        s := 'Os comandos so:'
    else
    if nomeArq ='WVAJUN2' then
        s := 'CIMA e BAIXO  caminham e leem o texto'
    else
    if nomeArq = 'WVAJUN3' then
        s := 'DIREITA       avana para o prximo texto ou elo'
    else
    if nomeArq ='WVAJUN4' then
        s := 'Espao/CTLF1  leitura contnua'
    else
    if nomeArq ='WVAJUN5' then
        s := 'ENTER         entra neste elo da pgina'
    else
    if nomeArq ='WVAJUN6' then
        s := 'TAB           pula para ler o prximo elo'
    else
    if nomeArq ='WVAJUN7' then
        s := 'BS            pula para ler o elo anterior'
    else
    if nomeArq ='WVAJUN8' then
        s := 'PGUP e PGDN   pula pargrafo'
    else
    if nomeArq ='WVAJUN9' then
        s := 'CTL PGUP      incio e fim da pgina'
    else
    if nomeArq ='WVAJUN10' then
        s := 'CTL PGDN      incio e fim da pgina'
    else
    if nomeArq ='WVAJUN11' then
        s := 'HOME          detalha clusula de HTML'
    else
    if nomeArq = 'WVAJUN12' then
        s := 'F3            Le nome da pgina atual'
    else
    if nomeArq = 'WVAJUN13' then
        s := 'F4            Configura'
    else
    if nomeArq = 'WVAJUN14' then
        s := 'F5            Busca texto (control F5 busca de novo)'
    else
    if nomeArq = 'WVAJUN15' then
        s := 'F6            Informa percentual lido da pgina'
    else
    if nomeArq ='WVAJUN19' then
        s := 'ESC           termina leitura'
    else
    if nomeArq ='WBVOLPAG' then
        s := 'Voltando  pagina anterior'
    else
    if nomeArq ='WBNAOVOL' then
        s := 'No posso, estou na primeira pgina lida'
    else
    if nomeArq = 'WBCOMBMK' then
        s := 'Digite um comentrio para esta seleo'
    else
    if nomeArq = 'WBUSESET' then
        s := 'Use setas, depois comande trazer, informao ou apagar'
    else
    if nomeArq = 'WBSETLER' then
        s := 'Use setas para ler, F1 ajuda'
    else
    if nomeArq = 'WBSEMBMK' then
        s := 'No foram registradas pginas seletas'
    else
    if nomeArq = 'WBBMKREM' then
        s := 'Removido'
    else
    if nomeArq = 'WBDESIST' then
        s := 'Desistiu...'
    else
    if nomeArq = 'WBFOLADI' then
        s := 'Folhear ou adicionar ? '
    else
    if nomeArq = 'WBDIGPAG' then
        s := 'Qual o nome da pgina desejada ?'
    else
    if nomeArq = 'WBCMDINV' then
        s := 'Comando invlido, F1 ajuda'
    else
    if nomeArq = 'WBNAOLNK' then
        s := 'No h mais referencias nesta pgina'
    else
    if nomeArq = 'WBTIPO' then
        s := 'Tipo de Controle: '
    else
    if nomeArq = 'WBSOLET' then
        s := 'Soletre ou edite com as setas, ESC termina'
    else
    if nomeArq = 'WBTRAPAG' then
        s := 'Trazendo pgina'
    else
    if nomeArq = 'WBTIPNAO' then
        s := 'Tipo no processavel, para armazenar use a funcao O'
    else
    if nomeArq = 'WBNAOEXE' then
        s := 'Execuo do programa trazido no foi possvel'
    else
    if nomeArq = 'WBINTEXT' then
        s := 'Campo de entrada, pode editar, valor atual'
    else
    if nomeArq = 'WBCHKBOX' then
        s := 'tem mltiplo de seleao: '
    else
    if nomeArq = 'WBRADIO' then
        s := 'tem nico de seleo: '
    else
    if nomeArq = 'WBPMARCA' then
        s := 'Deixa essa marca ? '
    else
    if nomeArq = 'WBLIGADO' then
        s := ' ligado. '
    else
    if nomeArq = 'WBDESLIG' then
        s := ' desligado. '
    else
    if nomeArq = 'WBLIGA' then
        s := 'Devo ligar ? '
    else
    if nomeArq = 'WBINPASS' then
        s := 'Campo de senha, pode digitar'
    else
    if nomeArq = 'WBINSUBM' then
        s := 'Boto de envio, aperte S para submeter'
    else
    if nomeArq = 'WBINRSET' then
        s := 'Boto para limpar formulario, aperte S para limpar'
    else
    if nomeArq = 'WBRESTAD' then
        s := 'Formulrio recriado'
    else
    if nomeArq = 'WMSUBMET' then
        s := 'Submetendo formulrio'
    else
    if nomeArq = 'WBCAMPOD' then
        s := 'Campo de digitao, tecle ENTER para editar'
    else
    if nomeArq = 'WBPODEDI' then
        s := 'Pode editar, use ESC para sair'
    else
    if nomeArq = 'WBLINREM' then
        s := 'Linha removida'
    else
    if nomeArq = 'WBSELSET' then
        s := 'Selecione a opo desejada com as setas depois ENTER ou ESC'
    else
    if nomeArq = 'WBSEMULT' then
        s := 'Voc pode marcar mais de uma seleo'
    else
    if nomeArq = 'WBFIMPAG' then
        s := 'Fim da pagina'
    else
    if nomeArq = 'WBNAODSP' then
        s := 'Operao no disponvel'
    else
    if nomeArq = 'WBCARNAO' then
        s := 'Erro no disco, carta no foi enviada'
    else
    if nomeArq = 'WBENVCAR' then
        s := 'Enviando a carta'
    else
    if nomeArq = 'WBSRVNAO' then
        s := 'Servidor no aceitou conexo, diagnstico'
    else
    if nomeArq = 'WBFIMENV' then
        s := 'Fim do envio'
    else
    if nomeArq = 'WBERRENV' then
        s := 'Erro de comunicao ao enviar a carta'
    else
    if nomeArq = 'WBABREDI' then
        s := 'Abrindo editor'
    else
    if nomeArq = 'WBERREDI' then
        s := 'Erro ao acionar o editor de textos'
    else
    if nomeArq = 'WBASSCAR' then
        s := 'Qual o assunto da carta ? '
    else
    if nomeArq = 'WBCNFENV' then
        s := 'Confirma envio ?'
    else
    if nomeArq = 'WBQUALTX' then
        s := 'Qual o texto a buscar ? '
    else
    if nomeArq = 'WBNAOACH' then
        s := 'Texto no encontrado aps esta posio'
    else
    if nomeArq = 'WBPGSEGU' then
        s := 'Pgina segura, vou tentar processar sem segurana'
    else
    if nomeArq = 'WBFRAMES' then
        s := '--- Partes divisrias desta pgina ---'
    else
    if nomeArq = 'WBINIFRM' then
        s := '--- Incio do Formulrio ---'
    else
    if nomeArq = 'WBFIMFRM' then
       s := '--- Fim do Formulrio ---'
    else
    if nomeArq = 'WBMARK' then
        s := ' marcado'
    else
    if nomeArq = 'WBDMARK' then
        s := ' desmarcado'
    else
    if nomeArq = 'WBJAVA' then
        s := 'Simulando Java Script'
    else
    if nomeArq = 'WBMINFTP' then
        s := 'Mini FTP ativado'
    else
    if nomeArq = 'WBCNTFTP' then
        s := 'Contactando servidor de FTP em '
    else
    if nomeArq = 'WBDIRFTP' then
        s := 'Recebendo diretrio remoto de '
    else
    if nomeArq = 'WBRECFTP' then
        s := 'Recebendo arquivo '
    else
    if nomeArq = 'WBSELLOC' then
        s := 'Selecionando arquivo local'
    else
    if nomeArq = 'WBAUTENT' then
        s := 'Servidor solicitou autenticao'
    else
    if nomeArq = 'WBCONTA' then
        s := 'Informe sua conta  '
    else
    if nomeArq = 'WBSENHA' then
        s := 'Informe sua senha  '
    else
    if nomeArq = 'WBERRAUT' then
        s := 'Autenticao no foi aceita'
    else

    if nomeArq = 'WBEDIT' then
       s := 'Editore o nome da pgina atual'
    else
    if nomeArq = 'WBINFILE' then
         s := 'Campo de entrada, informe o nome do arquivo'
    else
    if nomeArq = 'WBJAEXI1' then
        s := 'O arquivo destino '
    else
    if nomeArq = 'WBJAEXI2' then
        s := ' j existe.  Sobrescreve (S/N)? '

    else
    if nomeArq = 'WBSETCNF' then
        s := 'Use as setas, editore as configuraes e depois tecle ESC'
    else
    if nomeArq = 'WBVELFAL' then
        s := 'Velocidade de fala, de 1 a 5'
    else
    if nomeArq = 'WBFALAPT' then
       s := 'Fala pontuao ? '
    else
    if nomeArq = 'WBNIVINF' then
        s := 'Nvel textual, resumido, normal ou detalhado'
    else
    if nomeArq = 'WBSAPALT' then
        s := 'Voz sapi da lngua alternativa'
    else
    if nomeArq = 'WBVELALT' then
        s := 'Velocidade da lngua alternativa'
    else
    if nomeArq = 'WBTOMALT' then
        s := 'Tonalidade da lngua alternativa'
    else
    if nomeArq = 'WBLEALT' then
        s := 'Lendo com a sntese alternativa'
    else
    if nomeArq = 'WBLEORIG' then
        s := 'Lendo com sntese original'

    else
    if nomeArq = 'WBENHTLM' then
        s := 'Ok, irei enviar em formato html'
    else
    if nomeArq = 'WVCNVPDR' then
        s := 'Deseja usar a converso padro ? (S/N): '
    else
    if nomeArq = 'WBMANTPD' then
        s := 'No existe nenhum item relacionado, terei de manter o padro'
    else
    if nomeArq = 'WBDIGOT' then
        s := 'Digite O para enviar em formato original ou T para texto: '
    else
    if nomeArq = 'WBPQUEM' then
        s := 'Para quem voc deseja enviar esta pgina ? '
    else
    if nomeArq = 'WBOPCANC' then
        s := 'Operao cancelada'
    else
    if nomeArq = 'WBDESEDI' then
        s := 'Deseja editar o arquivo ? '
    else
    if nomeArq = 'WBCNFASU' then
        s := 'Confirma como assunto : '
    else
    if nomeArq = 'WBSN' then
        s := ' (S/N) : '
    else
    if nomeArq = 'WBDIGNVA' then
        s := 'Ento digite um novo assunto: '
    else
    if nomeArq = 'WBSEUEND' then
        s := 'Seu endereo : '
    else
    if nomeArq = 'WBDIGNVE' then
        s := 'Digite ento o novo endereo: '

    else
    if nomeArq = 'WBOPCAT0' then
        s := 'Opes nas teclas:'
    else
    if nomeArq = 'WBOPCAT1' then
        s := 'A  Apaga Catlogo'
    else
    if nomeArq = 'WBOPCAT2' then
        s := 'C  Cria Catlogo'
    else
    if nomeArq = 'WBOPCAT3' then
        s := 'T  Totaliza Catlogos'
    else
    if nomeArq = 'WBOPCAT8' then
        s := 'ENTER  Carrega o Catlogo Selecionado'
    else
    if nomeArq = 'WBOPCAT9' then
        s := 'SETAS  Caminham entre os Catlogos Existentes'

    else
    if nomeArq = 'WBNOMCAT' then
        s := 'Qual ser o nome deste novo catlogo ? '
    else
    if nomeArq = 'WBCATCRI' then
        s := ' foi criado'
    else
    if nomeArq = 'WBCNFEXC' then
        s := 'Confirma a excluso de '
    else
    if nomeArq = 'WBFOIEXC' then
        s := ' foi excludo'
    else
    if nomeArq = 'WBCATVAZ' then
        s := 'Seu catlogo est vazio, F1 ajuda'
    else
    if nomeArq = 'WBESCCAT' then
        s := 'Escolha o catlogo de sua preferncia com as setas, F1 ajuda'
    else
    if nomeArq = 'WBCATULT' then
        s := 'ltimo'
    else
    if nomeArq = 'WBCATPRM' then
        s := 'primeiro'
    else
    if nomeArq = 'WBSEMCAT' then
        s := 'No posso, no existe nenhum catlogo selecionado'
    else
    if nomeArq = 'WBNCRCAT' then
        s := 'No posso criar mais catlogos, o nmero mximo  25'
    else
    if nomeArq = 'WBCATEXI' then
        s := 'Existem '
    else
    if nomeArq = 'WBCATLIS' then
        s := ' catlogos a serem listados'
    else
    if nomeArq = 'WBCATNSL' then
        s := 'No posso, no existe nenhum catlogo selecionado'
    else
    if nomeArq = 'WBOPINVS' then
        s := 'Opo invlida, use as setas, F1 ajuda'
    else
    if nomeArq = 'WBCNTSEL' then
        s := 'Continue selecionando ou tecle ESC para sair'

    else
    if nomeArq = 'WBEDPREF' then
        s := 'Editore o nome da pgina preferida'

    else
    if nomeArq = 'WBERRGPG' then
        s := 'Erro ao guardar referncia da pgina'
    else
    if nomeArq = 'WBGZIP' then
        s := 'Descomprimindo com GZIP'
    else
    if nomeArq = 'WBGZIPNO' then
        s := 'GZIP no est instalado'
    else
    if nomeArq = 'WBCANCEL' then
        s := 'Confirma o cancelamento? (S/N): '
    else
    if nomeArq = 'WBOPCA2' then
        s := 'E  Edita Catlogo'
    else
    if nomeArq = 'WBEXECAT' then
        s := 'Executor ativado'

    else
    if nomeArq = 'WBBUSGRV' then
        s := 'Vou tentar buscar e gravar '
    else
    if nomeArq = 'WBOKGRAV' then
        s := 'Ok, j gravei '
    else
    if nomeArq = 'WBVCNCRI' then
        s := 'Voc no criou o arquivo de busca automtica (buscador.ini)'
    else
    if nomeArq = 'WBORITXT' then
        s := 'Digite O para formato original ou T para texto'
    else
    if nomeArq = 'WBJACONS' then
        s := 'Ok, as pginas j constam no diretrio especificado'
    else
    if nomeArq = 'WBNAOGRA' then
        s := 'No gravei pgina alguma'
    else
    if nomeArq = 'WBTIPSAP' then
        s := 'Tipo SAPI (4 ou 5) da lngua alternativa'

    else
    if nomeArq = 'WBCOMPXY' then
        s := 'Sua conexo utiliza um proxy?'
    else
    if nomeArq = 'WBENDPXY' then
        s := 'Endereo do Proxy'
    else
    if nomeArq = 'WBPORPSY' then
        s := 'Porta do Proxy'
    else
    if nomeArq = 'WBEXCPXY' then
        s := 'Arquivo de excesses de proxy'
    else
    if nomeArq = 'WBEDITOR' then
        s := 'Editor de textos'
    else
    if nomeArq = 'WBCARQBU' then
        s := 'Arquivo de pginas do Buscador'
    else
    if nomeArq = 'WBCDIRBU' then
        s := 'Diretrio do Buscador'

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end; 

{-------------------------------------------------------------}
{               prepara os sons dos tags
{-------------------------------------------------------------}

procedure prepSonsTags (nomeAmb: string);
var arq: text;
    s: string;
    i, p: integer;
begin
    for i := 1 to nSomTags do
        dispose (tabSomTags [i]);

    nSomTags := 0;

    if nomeAmb = '' then exit;

    assign (arq, nomeAmb);
    {$I-} reset (arq); {$I+}
    if ioresult <> 0 then exit;

    while not eof (arq) do
        begin
            readln (arq, s);
            if (s <> '') and (upcase(s[1]) in ['A'..'Z', '/']) then
                begin
                    p := pos ('=', s);
                    if p <> 0 then
                        begin
                            nSomTags := nSomTags + 1;
                            new (tabSomTags [nSomTags]);
                            with tabSomTags [nSomTags]^ do
                                begin
                                    nomeTag := copy (s, 1, p-1);
                                    while (nomeTag <> '') and (nomeTag[1] = ' ') do
                                        delete (nomeTag, 1, 1);
                                    while (nomeTag <> '') and (nomeTag[length(nomeTag)] = ' ') do
                                        delete (nomeTag, length(nomeTag), 1);
                                    for i := 1 to length (nomeTag) do
                                         nomeTag [i] := upcase (nomeTag[i]);
                                    somTag := copy (s, p+1, length (s)-p);
                                    while (somTag <> '') and (somTag[1] = ' ') do
                                        delete (somTag, 1, 1);
                                end
                        end
                    else
                        begin
                            write ('Erro em ', nomeAmb, ' ');
                            writeln (s);
                        end;

                end;
        end;

    close (arq);
end;

{-------------------------------------------------------------}
{                  executa o som do tag
{-------------------------------------------------------------}

procedure somtag (tag: string);
var i: integer;
begin
    if keypressed then exit;

    for i := 1 to nSomTags do
        with tabSomTags [i]^ do
            if nomeTag = tag then
                begin
                  if somTag <> '' then
                     begin
                         while sintFalando do waitMessage;      { interrompe com keypressed }
                         if keypressed then exit;
                         wavePlayFile (dirTags+'\'+somTag+'.WAV');
                     end;
                end;
end;

{--------------------------------------------------------}
{       Fala o tamanho do arquivo
{--------------------------------------------------------}

procedure falaTamanhoArq (tam: longint);
var
    medida: char;
    decimal: integer;
begin
    medida := ' ';
    if tam >= 65536 then
        begin
            medida := 'K';
            decimal := tam mod 1024;
            tam := tam div 1024;
            if decimal > 512 then tam := tam + 1;
        end;

    sintWrite (intToStr (tam) + medida);
end;

end.

